Package ru.bitel.bgbilling.kernel.bgsecure.server.bean

# Class UserInfoDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.bgsecure.server.bean.UserInfoDao

All Implemented Interfaces:
  `Directory<UserInfo>`

public class UserInfoDao extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements Directory<UserInfo>
Дао для справочника пользователя. Так как "user" не является в чистом виде справочником, то реализованы только методы list() и get( int id).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserInfoDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `delete(int id)`
  Удаление элемента по id
  `UserInfo`
  `get(int id)`
  Получение элемента по id
  `UserInfo`
  `get(String title)`
  Получение элемента по title(name)
  Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `List<UserInfo>`
  `list()`
  Получение всего списка элементов из справочника
  `void`
  `update(UserInfo k)`
  Изменение/добавление элемента справочника

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `opt`

- ## Constructor Details

  - ### UserInfoDao

    public UserInfoDao(Connection con)

- ## Method Details

  - ### get

    public UserInfo get(int id) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по id
    Specified by:
      `get` in interface `Directory<UserInfo>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public UserInfo get(String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name)
    Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `get` in interface `Directory<UserInfo>`
    Parameters:
      `title` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<UserInfo> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `list` in interface `Directory<UserInfo>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update(UserInfo k) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Изменение/добавление элемента справочника
    Specified by:
      `update` in interface `Directory<UserInfo>`
    Parameters:
      `k` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public int delete(int id) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Удаление элемента по id
    Specified by:
      `delete` in interface `Directory<UserInfo>`
    Parameters:
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`